<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
>
<ui:composition template="/master.xhtml">
    <ui:define name="content">
        <h4>People in our database</h4>
        <h:dataTable value="#{peopleBean.people}" var="p">
            <h:column>
                <h:outputText value="#{p.id}"/>
            </h:column>
            <h:column>
                <h:outputText value="#{p.firstName}"/>
            </h:column>
            <h:column>
                <h:outputText value="#{p.lastName}"/>
            </h:column>
            <h:column>
                <h:outputText value="#{p.email}"/>
            </h:column>
            <h:column>
                <h:outputText value="#{p.groups}"/>
            </h:column>
        </h:dataTable>
        <h:button value="Sign up" outcome="register"/>
    </ui:define>
</ui:composition>
</html>
